=== debian/changelog ===
txtreader (0.6.9) unstable; urgency=low

  * Night Mode.

 -- Eveing <eveing@139.com>  Sun, 03 Nov 2013 13:21:39 +0800
